(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



(* ::Input::Initialization:: *)
SetDirectory[NotebookDirectory[]];
<<useful_functions.m


(* ::Input::Initialization:: *)
splitComplexExprTo2x1Real[expr_]:=({
 {(expr[[1]]+Conjugate[expr[[1]]])/2},
 {(expr[[1]]-Conjugate[expr[[1]]])/(2I)}
})
split2x1ComplexTo4x1Real[d_]:=({
 {(d[[1]]+Conjugate[d[[1]]])/2},
 {(d[[2]]+Conjugate[d[[2]]])/2},
 {(d[[1]]-Conjugate[d[[1]]])/(2I)},
 {(d[[2]]-Conjugate[d[[2]]])/(2I)}
})


(* ::Input::Initialization:: *)
(*gravitational-wave signal transfer function to a given quantity given its signal coefficient
TODO: calculate signal coeff automatically as well*)
signalTransferFnToQuantity[signalCoeff_]:=AbsFlipI[signalCoeff];
transferFn[expr_,input_]:=(
coeff=findCoeffs[expr,input,False];
Return[AbsFlipI[coeff]];
)
(*ASD Sqrt[Subscript[S, quantity,quantity]] noise in quantity (q) given noiseCoeffs is the sqrt of the sum of abs-squares of the coefficients of each uncorrelated quadrature of quantum or thermal noise times the vacuum value squared (i.e. quadrature sum), assuming uncorrelated. Assumes outputport noises are listed first.*)
SquantityquantitySqrt[noiseCoeffs_,noiseInputsAndValues1_:noiseInputsAndValues]:=Sqrt[
Sum[
AbsSqrFlipI[noiseCoeffs[[i]]]noiseInputsAndValues1[[i,2]]^2,
{i,Length[noiseInputsAndValues1]}
]
]//FullSimplifyTimeConstrained;
ASDNoise = SquantityquantitySqrt;
